-- ==========================================================
-- Incorporao de Uen no Portal DATABASE
-- 
-- Version:	1.3 - 02/2003 (by Mazzarino, dbRoll Sistemas)
--
-- ==========================================================
CREATE PROCEDURE GetAuthUens
(
	@username    	nvarchar (35), 
	@password	nvarchar (35),
	@PortalId	int
)
AS
SELECT
	UenName
FROM
	Uens U		
 INNER JOIN
	UserUens UU ON UU.UenId = U.UenId
 INNER JOIN
	Users US ON US.UserId = UU.UserId
 WHERE US.name = @UserName AND US.password = @password 
	AND U.PortalId = @PortalId

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE GetAuthNames
(
	@uenname    	nvarchar (35), 
	@PortalId	int
)
AS
SELECT
	Name,Password,Email
FROM
	Users U		
 INNER JOIN
	UserUens US ON US.UserId = U.UserId
 INNER JOIN
	Uens UN ON US.UenId = UN.UenId
 WHERE UN.UenName = @UenName AND Un.PortalId = @PortalId

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE GetUserRoles
(
	@username    	nvarchar (35), 
	@password	nvarchar (35),
	@PortalId	int
)
AS
SELECT
	RoleName
FROM
	Roles R		
 INNER JOIN
	UserRoles UR ON UR.RoleId = R.RoleId
 INNER JOIN
	Users US ON US.UserId = UR.UserId
 WHERE US.name = @UserName AND US.password = @password 
	AND R.PortalId = @PortalId

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE GetMapRoles
(
	@mapid    	char (2), 
	@PortalId	int
)
AS
SELECT
	AuthorizedRoles
FROM
	Tabs T		
WHERE T.TabOrder = @mapid AND T.PortalId = @PortalId

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE GetMapDescription
(
	@TabName 	nvarchar(125) OUTPUT,
	@AuthorizedRoles nvarchar(255) OUTPUT,
	@mapid    	char (2), 
	@PortalId	int
)
AS
SELECT
	@TabName = T.TabName,
	@AuthorizedRoles = T.AuthorizedRoles
FROM
	Tabs T		
WHERE T.TabOrder = @mapid AND T.PortalId = @PortalId

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


