-- ==========================================================
-- Incorporao de Uen no Portal DATABASE
-- 
-- Version:	1.3 - 02/2003 (by Mazzarino, dbRoll Sistemas)
--
-- ==========================================================
use [Portal]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_UserUens_Uens]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[UserUens] DROP CONSTRAINT FK_UserUens_Uens

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_UserUens_Users]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[UserUens] DROP CONSTRAINT FK_UserUens_Users
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_Uens_Portals]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[Uens] DROP CONSTRAINT FK_Uens_Portals
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Uens]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Uens]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UserUens]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[UserUens]
GO

CREATE TABLE [dbo].[Uens] (
    [UenID] [int] IDENTITY (0, 1) NOT NULL PRIMARY KEY ,
    [PortalID] [int] NOT NULL ,
    [UenName] [nvarchar] (50) NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[UserUens] (
    [UserID] [int] NOT NULL ,
    [UenID] [int] NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE dbo.Uens ADD 
    CONSTRAINT FK_Uens_Portals FOREIGN KEY 
    (
        PortalID
    ) REFERENCES dbo.Portals (
        PortalID
    ) -- ON DELETE CASCADE NOT FOR REPLICATION 
GO


ALTER TABLE [dbo].[UserUens] ADD 
    CONSTRAINT [FK_UserUens_Uens] FOREIGN KEY 
    (
        [UenID]
    ) REFERENCES [dbo].[Uens] (
        [UenID]
    ), -- ON DELETE CASCADE NOT FOR REPLICATION , 
    CONSTRAINT [FK_UserUens_Users] FOREIGN KEY 
    (
        [UserID]
    ) REFERENCES [dbo].[Users] (
        [UserID]
    ) --ON DELETE CASCADE  NOT FOR REPLICATION 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_Roles_Portals]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[Roles] DROP CONSTRAINT FK_Roles_Portals
GO

ALTER TABLE dbo.Roles ADD 
    CONSTRAINT FK_Roles_Portals FOREIGN KEY 
    (
        PortalID
    ) REFERENCES dbo.Portals (
        PortalID
    ) -- ON DELETE CASCADE NOT FOR REPLICATION 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_UserRoles_Roles]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[UserRoles] DROP CONSTRAINT FK_UserRoles_Roles
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_UserRoles_Users]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[UserRoles] DROP CONSTRAINT FK_UserRoles_Users
GO


ALTER TABLE [dbo].[UserRoles] ADD 
    CONSTRAINT [FK_UserRoles_Roles] FOREIGN KEY 
    (
        [RoleID]
    ) REFERENCES [dbo].[Roles] (
        [RoleID]
    )
GO

ALTER TABLE [dbo].[UserRoles] ADD 
    CONSTRAINT [FK_UserRoles_Users] FOREIGN KEY 
    (
        [UserID]
    ) REFERENCES [dbo].[Users] (
        [UserID]
    ) ON INSERT NOCHECK
GO


INSERT INTO UENS (PortalID,UenName) VALUES (1,'ADTEC')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'GUIDO')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'MRFCO')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'CRALM')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'ALBOV')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'FORZA')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'ALDEO')
INSERT INTO UENS (PortalID,UenName) VALUES (1,'VLOBO')

INSERT INTO UserUens (UserID,UenId) VALUES (4,0)
INSERT INTO UserUens (UserID,UenId) VALUES (4,2)
INSERT INTO UserUens (UserID,UenId) VALUES (4,7)
INSERT INTO UserUens (UserID,UenId) VALUES (3,0)
INSERT INTO UserUens (UserID,UenId) VALUES (3,1)
INSERT INTO UserUens (UserID,UenId) VALUES (3,2)
INSERT INTO UserUens (UserID,UenId) VALUES (3,3)
INSERT INTO UserUens (UserID,UenId) VALUES (3,4)
INSERT INTO UserUens (UserID,UenId) VALUES (3,5)
INSERT INTO UserUens (UserID,UenId) VALUES (3,6)
INSERT INTO UserUens (UserID,UenId) VALUES (3,7)

